# $Revision: 1.45.2.1 $, $Date: 2006/12/11 22:42:52 $
#
# Conditional build:
%bcond_without	gui		# don't build gui stuff
%bcond_with	mmx		# use MMX asm (won't run on non-MMX CPU!)
%bcond_without	static_libs	# don't build static library
#
%ifarch athlon pentium3 pentium4 %{x8664}
%define		with_mmx	1
%endif
Summary:	DV video software codec
Summary(pl):	Biblioteka do obsugi formatu wideo DV
Name:		libdv
Version:	1.0.0
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libdv/%{name}-%{version}.tar.gz
# Source0-md5:	f895162161cfa4bb4a94c070a7caa6c7
Patch0:		%{name}-include_fix.patch
URL:		http://libdv.sourceforge.net/
%if %{with gui}
BuildRequires:	SDL-devel >= 1.1.6
BuildRequires:	gtk+-devel >= 1.2.10-3
BuildRequires:	XFree86-devel
%endif
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Quasar DV codec (libdv) is a software codec for DV video. DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface. libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M. See http://libdv.sourceforge.net/ for more.

%description -l pl
Quasar DV (libdv) jest bibliotek do obsugi obrazu DV. DV jest
formatem stosowanym przez wikszo cyfrowych urzdze, zwykle tych,
ktre uywaj interfejsu IEEE 1394 (FireWire/i.Link). libdv jest
pisany zgodnie z oficjalnymi standardami DV, IEC 61834, SMPTE 314M.

%package -n dv
Summary:	Programs to encode and play DV files
Summary(pl):	Programy do kodowania i odtwarzania plikw DV
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description -n dv
Programs to encode and play DV files.

%description -n dv -l pl
Programy do kodowania i odtwarzania plikw DV.

%package devel
Summary:	DV library headers
Summary(pl):	Pliki nagwkowe biblioteki DV
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania programw korzystajcych z
libdv.

%package static
Summary:	DV static libraries
Summary(pl):	Statyczne biblioteki do obsugi formatu DV
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libdv libraries.

%description static -l pl
Statyczna wersja biblioteki libdv.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared \
%if %{with gui}
	--enable-sdl \
	--enable-gtk \
%else
	--disable-sdl \
	--disable-gtk \
%endif
	--without-debug \
	%{!?with_mmx:--disable-asm} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.* TODO
%attr(755,root,root) %{_libdir}/libdv.so.*.*.*

%if %{with gui}
%files -n dv
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdv.so
%{_libdir}/libdv.la
%{_includedir}/libdv
%{_pkgconfigdir}/libdv.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdv.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdv.spec,v $
Revision 1.45.2.1  2006/12/11 22:42:52  glen
- AC-branch

Revision 1.45  2006/10/06 20:24:43  qboosh
- enabled mmx on x86_64 (asm code is PIC-compatible now)

Revision 1.44  2006/10/06 20:20:41  qboosh
- updated to 1.0.0, removed obsolete mmx patch
- modular xorg deps

Revision 1.43  2006/01/22 13:30:21  qboosh
- ac version

Revision 1.42  2006/01/22 09:51:44  charles
- added full regenerate ac/am/lt

Revision 1.41  2005/12/10 22:19:24  pluto
- release 3.

Revision 1.40  2005/12/10 22:08:35  pluto
- fix idiotic constraints for asm. operands
  to avoid invalid code (e.g. `paddb %edx, %mm3`).

Revision 1.39  2005/09/09 13:18:46  wrobell
- reverting last commit but gstreamer plugins's build requirements set
  to libdv 0.104 (according to libdv changelog authors dropped glib/gtk+
  dependency after 0.100 in library)

Revision 1.38  2005/09/09 12:10:55  wrobell
- libdv-devel requires gtk+ 1.2.x when built with gui, so gstreamer-plugins
  does not have to require gtk+-devel 1.2.x directly to build
- rel. 2 for gstreamer-plugins
- rel. 3 for libdv

Revision 1.37  2005/08/03 05:27:45  qboosh
- disable asm on x86_64 because of relocation problems

Revision 1.36  2005/08/01 22:14:38  saq
- fPIC

Revision 1.35  2005/08/01 22:04:15  saq
- config.sub for amd64, rel 2

Revision 1.34  2005/06/15 19:59:53  witekfl
- added bcond_without static_libs

Revision 1.33  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.32  2004/12/01 17:25:53  qboosh
- updated to 0.104 (mmx support on amd64)

Revision 1.31  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.30  2004/10/27 22:12:29  qboosh
- unified spacing

Revision 1.29  2004/10/27 20:57:36  wrobell
- gui bcond added
- it seems that ac/am regeneration is not required, now
- rel. 2

Revision 1.28  2004/07/18 22:47:36  grzegol
- updated to 0.103
- pass --enable-sdl and --enable-gtk to %%configure

Revision 1.27  2004/05/28 15:22:41  pluto
- specific assembler(32)-inlines disabled for amd64.

Revision 1.26  2004/05/28 15:00:03  pluto
- auto-enable MMX += amd64, pentium3/4.

Revision 1.25  2004/05/04 21:18:16  krzak
- BR: SDL-devel

Revision 1.24  2004/04/10 21:25:29  qboosh
- updated to 0.102 (note: SONAME has changed)
- dropped extern patch (no longer needed by current quicktime4linux)

Revision 1.23  2004/01/17 22:06:07  qboosh
- updated License (has been relaxed from GPL to LGPL)

Revision 1.22  2004/01/17 22:01:38  qboosh
- updated to 0.101 (some kernel 2.6 compat fixes), new-style bcond

Revision 1.21  2004/01/15 01:13:31  undefine
- ac/am/lt, release 3

Revision 1.20  2003/07/14 09:13:18  freetz
- patch against dv_types.h (don't include bogus files - this solves
  gnomemeeting-0.98.0 compile problem), rel.2 for upgrade

Revision 1.19  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/16 12:26:49  qboosh
- removed SONAME symlink

Revision 1.16  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.15  2003/01/19 01:40:47  qboosh
- 0.99

Revision 1.14  2003/01/18 22:53:33  juandon
- removed two lines with define

Revision 1.13  2002/11/08 18:24:45  marcus
- added one symbol for quicktime2linux
- rel.2.

Revision 1.12  2002/11/06 17:37:04  qboosh
- new %%doc

Revision 1.11  2002/11/05 20:48:22  aflinta
- updated to version 0.98

Revision 1.10  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/21 19:48:20  qboosh
- buildrequire gtk+-devel with fixed pkgconfig file
- release 3

Revision 1.7  2001/10/03 16:42:30  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.6  2001/06/28 02:36:25  kloczek
- added "pkgconfig >= 0.7" to BuildRequires.

Revision 1.5  2001/06/27 21:17:45  qboosh
- fixed pkgconfigdir path

Revision 1.4  2001/06/27 16:12:18  qboosh
- updated to 0.9, removed obsolete opt patch
- added bcond for mmx (optimized version won't run on non-mmx)

Revision 1.3  2001/03/11 20:25:55  kloczek
- few cosmetics,
- moved %doc to devel.

Revision 1.2  2001/03/11 07:17:46  qboosh
- opt patch, %%configure --without-debug

Revision 1.1  2001/02/15 23:32:41  wrobell
- created from template
